
Foreman - Tracker #37208

Upgrade to PostgreSQL 13 on EL8

02/27/2024 11:48 AM - Evgeni Golov

Status: Closed % Done: 100%

Priority: Normal   

Assignee: Evgeni Golov   

Category:    

Target version: 3.11.0   

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Description

EL9 ships with PostgreSQL 13 by default. To simplify EL8 to EL9 upgrades, we should also use PostgreSQL 13 on EL8.

Subtasks:

Feature # 37177: Upgrade to PostgreSQL 13 on EL8 Closed

Feature # 37209: Add check for PostgreSQL 13 storage requirements during upgrade Closed

Feature # 37210: Use PostgreSQL 13 module in Foreman's modular metadata on EL8 Closed

Feature # 37241: Use PostgreSQL by default in tests Closed

Feature # 37275:  switch-to PostgreSQL 13 module during the upgrade Closed

History

#1 - 02/27/2024 11:48 AM - Evgeni Golov

- Subtask #37177 added

#2 - 02/27/2024 11:49 AM - Evgeni Golov

- Subtask #37209 added

#3 - 02/27/2024 11:52 AM - Evgeni Golov

- Subtask #37210 added

#4 - 03/12/2024 08:55 AM - Evgeni Golov

- Subtask #37241 added

#5 - 03/18/2024 09:41 AM - Evgeni Golov

- Subtask #37275 added

#6 - 04/26/2024 03:38 PM - Evgeni Golov

- Status changed from New to Closed
